package com.jwipc.sys.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jwipc.sys.entity.MoldForm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jwipc.sys.model.po.MoldFormPO;
import com.jwipc.sys.model.query.MoldFormQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口 模具数据
 * </p>
 *
 * @author AL
 * @since 2024-01-31
 */
public interface MoldFormMapper extends BaseMapper<MoldForm> {

    List<MoldFormPO> findPageByQuery(@Param("query") MoldFormQuery query);

    List<MoldFormPO> findPageByQuery(Page<MoldForm> dbPage,@Param("query") MoldFormQuery query);

    MoldFormPO getDataById(@Param("id") Long id);

    MoldForm getDataByCode(String moldCode);
}
